<!DOCTYPE html>
<html lang="en">

  <head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <link href="https://fonts.googleapis.com/css?family=Raleway:100,300,400,500,700,900" rel="stylesheet">

    <title>Common Accusations - Allies for Israel</title>
    <link rel="shortcut icon" href="../assets/images/icon.png">

<!--
SOFTY PINKO
https://templatemo.com/tm-535-softy-pinko
-->

        <!-- Additional CSS Files -->
        <link rel="stylesheet" type="text/css" href="../assets/css/bootstrap.min.css">

        <link rel="stylesheet" type="text/css" href="../assets/css/font-awesome.css">

        <link rel="stylesheet" href="../assets/css/templatemo-softy-pinko.css">

        <link rel="stylesheet" href="../assets/css/outreach-methodology.css">

        <link rel="stylesheet" href="../assets/css/beliefs-about-israel.css">

        <link rel="stylesheet" href="../assets/css/common-accusations.css">

    </head>

    <body>

    <!-- ***** Preloader Start ***** -->
    <div id="preloader">
        <div class="jumper">
            <div></div>
            <div></div>
            <div></div>
        </div>
    </div>
    <!-- ***** Preloader End ***** -->

    <!-- ***** Header Area Start ***** -->
    <header class="header-area header-sticky">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <nav class="main-nav">
                        <!-- ***** Logo Start ***** -->
                        <a href="../" class="logo">
                            <img src="../assets/images/logo(COLORED).png" alt="Peace For Zion" style="height: 60px; margin-top: 10px; margin-right: 5px;" />
                            <p>Peace For Zion</p>
                        </a>
                        <!-- ***** Logo End ***** -->
                        <!-- ***** Menu Start ***** -->
                        <ul class="nav">
                            <li class="submenu">
                                <a href="javascript:;">Who We Are</a>
                                <ul>
                                    <li><a href="../doctrinal-statement">Doctrinal Statement</a></li>
                                    <li><a href="../beliefs-about-israel">Beliefs about Israel</a></li>
                                    <li><a href="../common-accusations">In Defense of Zionism</a></li>
                                    <li><a href="../contact-us">Contact Us</a></li>
                                </ul>
                            </li>

                            <li class="submenu">
                                <a href="javascript:;">Our Approach</a>
                                <ul>
                                    <li><a href="../what-we-do">What We Do</a></li>
                                    <li><a href="../outreach-methodology">Outreach Methodology</a></li>
                                </ul>
                            </li>
                            <li class="submenu">
	                        	<a href="javascript:;">Pro Israel Apologetics</a>
	                        	<ul>
                                    <li><a href="../syllogism">Pro Israel Syllogism</a></li>
                                    <li><a href="../objections">Objections</a></li>
                                    <li><a href="../slogans">Slogan Responses</a></li>
	                            </ul>
	                        </li>
                            <li><a href="../index.html#testimonials">Minds Changed</a></li>
                        </ul>
                        <a class='menu-trigger'>
                            <span>Menu</span>
                        </a>
                        <!-- ***** Menu End ***** -->
                    </nav>
                </div>
            </div>
        </div>
    </header>
    <!-- ***** Header Area End ***** -->



<!--
    ------------------------------------------------------------- UNIQUE CONTENT STARTS HERE ------------------------------------------------
-->



    <!-- ***** Welcome Area Start ***** -->
    <div class="top-image" id="TopOfPage">

        <!-- ***** Header Text Start ***** -->
        <div class="header-text">
            <div class="container">
                <div class="row-content">
                    <div class="offset-xl-3 col-xl-6 offset-lg-2 col-lg-8 col-md-12 col-sm-12">
                        <h1><br><strong>Common Accusations Against Israel and Zionism</strong></strong></h1>
                    </div>
                </div>
            </div>
        </div>
        <!-- ***** Header Text End ***** -->
    </div>
    <!-- ***** Welcome Area End ***** -->



    <!-- ***** Speech Bubbles Begin ***** -->
    <div class="container">
        <div class="row" data-scroll-reveal="move 0px">
            <div class="left-align">
                    <div class="typing-indicator color-accusor">
                      <span></span>
                      <span></span>
                      <span></span>
                    </div>
            </div>
        </div>

        <div class="row" data-scroll-reveal="wait 3s move 0px">
            <div class="left-align">
                <div class="accusor speech accusor-left">
                    <p>Israel does not have a right to that land, as they came in and took it from the people already there. As such, calling it "Israeli land" is a bit of a stretch.</p>
                </div>
            </div>
        </div>
        <div class="row push-right" data-scroll-reveal="move 0px">
            <div class="right-align">
                    <div class="typing-indicator color-defender">
                      <span></span>
                      <span></span>
                      <span></span>
                    </div>
            </div>
        </div>

        <div class="row" data-scroll-reveal="wait 3s move 0px">
            <div class="right-align">
                <div class="defender speech defender-right">
                    <p>The Jewish people have the longest standing claim to the land, consistantly living there since the 10th century B.C. In fact, the Arabs were not even a considerable ethnic group in the area until the time of the Crusades.
                        <br><br>And not only do the Jewish people actually have the longest standing claim to the land, but as a general rule the Arabs and the Jews there today both moved into the land at the same time. It was barely populated before 1947.
                        <br><br>Even if none of the above were the case though, the British Empire controlled that land prior to Israel, and upon relinquishing it, decided to give it to the Jewish people. As such, perhaps your real issue is with the British Empire.</p>
                </div>
            </div>
        </div>

        <div class="row" data-scroll-reveal="move 0px">
            <div class="left-align">
                    <div class="typing-indicator color-accusor">
                      <span></span>
                      <span></span>
                      <span></span>
                    </div>
            </div>
        </div>
    	<div class="row" data-scroll-reveal="wait 3s move 0px">
            <div class="left-align">
    			<div class="accusor speech accusor-left">
    				<p>So if you support Israel's right to exist because they have the longest standing claim to the land, what do you think about reparations in the US?</p>
    			</div>
    		</div>
        </div>

        <div class="row push-right" data-scroll-reveal="move 0px">
            <div class="right-align">
                    <div class="typing-indicator color-defender">
                      <span></span>
                      <span></span>
                      <span></span>
                    </div>
            </div>
        </div>

		<div class="row" data-scroll-reveal="wait 3s move 0px">
            <div class="right-align">
    			<div class="defender speech defender-right">
    				<p>The key difference is continued persecution.<br><br>
    				What we did to the Native Americans was often wrong, but today we have shown the world that we can live in peace together. The Jewish people already tried that – they lived in Europe for thousands of years, and persecution never let up. History has shown that they need a place to call their own – a place to be safe. The Native Americans are safe today, and the Jewish people should be as well.</p>
    			</div>
            </div>
    	</div>

        <div class="row" data-scroll-reveal="move 0px">
            <div class="left-align">
                    <div class="typing-indicator color-accusor">
                      <span></span>
                      <span></span>
                      <span></span>
                    </div>
            </div>
        </div>
        <div class="row" data-scroll-reveal="wait 3s move 0px">
            <div class="left-align">
                <div class="accusor speech accusor-left">
                    <p>The Jewish people should not be forcing people out of the West Bank by settling there. Stealing property and largescale emminent domain is never right.</p>
                </div>
            </div>
        </div>
        <div class="row push-right" data-scroll-reveal="move 0px">
            <div class="right-align">
                    <div class="typing-indicator color-defender">
                      <span></span>
                      <span></span>
                      <span></span>
                    </div>
            </div>
        </div>
        <div class="row" data-scroll-reveal="wait 3s move 0px">
            <div class="right-align">
                <div class="defender speech defender-right">
                    <p>Firstly, the Jewish people are only resettling that land. Several years ago, Israel forced their citizens out to let Palestinians in – exchanging property rights for peace. Peace has not been the result, and after rocket after rocket has been launched at them, they are taking back their property rights by moving back in. But they are not doing it through emminent domain at all. Rather, re-establishments can only be made on:
                        <br>1. Unowned land
                        <br>2. Purchased land
                        <br>3. Or land with pre-existing Jewish communities.
                        <br><br>None of those examples are cases of emminent domain or stealing.</p>
                </div>
            </div>
        </div>
        <div class="row push-right" data-scroll-reveal="move 0px">
            <div class="right-align">
                    <div class="typing-indicator color-defender">
                      <span></span>
                      <span></span>
                      <span></span>
                    </div>
            </div>
        </div>
        <div class="row" data-scroll-reveal="wait 3s move 0px">
            <div class="right-align">
                <div class="defender speech defender-right">
                    <p>Also, the Hague Convention states that since there has never been a sovereign state of “Palestine”, there cannot legally be an “occupation of Palestinian lands.”</p>
                </div>
            </div>
        </div>

        <div class="row" data-scroll-reveal="move 0px">
            <div class="left-align">
                    <div class="typing-indicator color-accusor">
                      <span></span>
                      <span></span>
                      <span></span>
                    </div>
            </div>
        </div>
        <div class="row" data-scroll-reveal="wait 3s move 0px">
            <div class="left-align">
                <div class="accusor speech accusor-left">
                    <p>Speaking of the Hague Convention, it shouldn't even matter because those involved were not people in the Middle East. They didn't understand the problems there.</p>
                </div>
            </div>
        </div>
        <div class="row push-right" data-scroll-reveal="move 0px">
            <div class="right-align">
                    <div class="typing-indicator color-defender">
                      <span></span>
                      <span></span>
                      <span></span>
                    </div>
            </div>
        </div>
        <div class="row" data-scroll-reveal="wait 3s move 0px">
            <div class="right-align">
                <div class="defender speech defender-right">
                    <p>We are in the US, so by that logic our opinions should matter even less than that of Europe’s. That does not mean however that I support all of the UN’s decisions. But my reason for not supporting some is not because of their location, but rather because of the members that make it up: namely, the nations of the Arab League and others who have shown a continued hostility towards Israel.</p>
                </div>
            </div>
        </div>

        <div class="row" data-scroll-reveal="move 0px">
            <div class="left-align">
                    <div class="typing-indicator color-accusor">
                      <span></span>
                      <span></span>
                      <span></span>
                    </div>
            </div>
        </div>
        <div class="row" data-scroll-reveal="wait 3s move 0px">
            <div class="left-align">
                <div class="accusor speech accusor-left">
                    <p>Less than 50% of the overall population is Jewish. Do you think everyone should be able to vote, or do you think the Jewish people should maintain their majority status? One must give, and it sounds like you are advocating for voter suppression and an ethno-state.</p>
                </div>
            </div>
        </div>
        <div class="row push-right" data-scroll-reveal="move 0px">
            <div class="right-align">
                    <div class="typing-indicator color-defender">
                      <span></span>
                      <span></span>
                      <span></span>
                    </div>
            </div>
        </div>
        <div class="row" data-scroll-reveal="wait 3s move 0px">
            <div class="right-align">
                <div class="defender speech defender-right">
                    <p>Firstly, that assumption is a bit misleading. As per the latest population count, "Jews and others" make up 52.1% of the population, with "Arabs" making up only 47.9%.</p>
                </div>
            </div>
        </div>
        <div class="row push-right" data-scroll-reveal="move 0px">
            <div class="right-align">
                    <div class="typing-indicator color-defender">
                      <span></span>
                      <span></span>
                      <span></span>
                    </div>
            </div>
        </div>
        <div class="row" data-scroll-reveal="wait 3s move 0px">
            <div class="right-align">
                <div class="defender speech defender-right">
                    <p>Even if that assumption was not misleading, I would stand by the need for the Jewish people to maintain a dominant voice in Israel. Israel was formed expressly as a safe haven for the Jewish people in 1948, and since then, thousands of Jewish people have moved there. Just as religious identity is tied up with the national identity of many other countries in the Middle East, so too is a Jewish presence tied up in the identity of Israel. History has shown us what happens to the Jewish people when they do not have a dominant voice in a nation they reside in, and if the presence of Israel can be a safe harbor from that, then I support it whole-heartedly. Voter suppression is not an ethical way to go about that, but it is also true that based on the patterns of history, it is essential for the Jewish people to maintain a safe harbor for themselves.</p>
                </div>
            </div>
        </div>
        <div class="row push-right" data-scroll-reveal="move 0px">
            <div class="right-align">
                    <div class="typing-indicator color-defender">
                      <span></span>
                      <span></span>
                      <span></span>
                    </div>
            </div>
        </div>
        <div class="row" data-scroll-reveal="wait 3s move 0px">
            <div class="right-align">
                <div class="defender speech defender-right">
                    <p>P.S. I would add though that those who proactively launch rockets at Israel, fund the people who do, or support the launching of rockets against Israel – perhaps shouldn’t have the right to vote in Israel. If I were to have funded 9/11, I should face some consequences for that. I should not be able to vote in the US; I should not be a free person in the US. I should either be in jail, given the death penalty, or kicked out of the country for my involvement with the trajedy of 9/11. Same thing for the Palestinians that are promoting and actively engaging in terrorism against the very nation they demand a vote in.</p>
                </div>
            </div>
        </div>

        <div class="row" data-scroll-reveal="move 0px">
            <div class="left-align">
                    <div class="typing-indicator color-accusor">
                      <span></span>
                      <span></span>
                      <span></span>
                    </div>
            </div>
        </div>
        <div class="row" data-scroll-reveal="wait 3s move 0px">
            <div class="left-align">
                <div class="accusor speech accusor-left">
                    <p>Yeah, that sounds like advocation for an ethno-state. This is why Zionists are similar to Nazis: they both promote an ethno-state.</p>
                </div>
            </div>
        </div>
        <div class="row push-right" data-scroll-reveal="move 0px">
            <div class="right-align">
                    <div class="typing-indicator color-defender">
                      <span></span>
                      <span></span>
                      <span></span>
                    </div>
            </div>
        </div>
        <div class="row" data-scroll-reveal="wait 3s move 0px">
            <div class="right-align">
                <div class="defender speech defender-right">
                    <p>Firstly, an ethno-state by definition occurs when one ethnicity makes up the entirety of a nation-state. Zionists do not advocate for the Jewish people to be the only people allowed into Israel, and as such, do not advocate for an ethno-state.<br><br>

                    The Nazis did however. They argued for the supremacy of the Aryan race, and the extermination of others. Zionists do neither of those things, with many of our key proponents being in fact born out of the Holocaust.<br><br>

                    If however, by ethno-state you are referring to an instance when one ethnic group maintains a prominent voice in their nation, then most every country on earth is guilty of this. Japan is mostly made up of Japanese people, India is mostly made up of Indian people, and Ireland is mostly made up of Irish people. To unfairly demand that Israel be different is holding them to a standard you do not hold anyone else to.</p>
                </div>
            </div>
        </div>

        <div class="row" data-scroll-reveal="move 0px">
            <div class="left-align">
                    <div class="typing-indicator color-accusor">
                      <span></span>
                      <span></span>
                      <span></span>
                    </div>
            </div>
        </div>
        <div class="row" data-scroll-reveal="wait 3s move 0px">
            <div class="left-align">
                <div class="accusor speech accusor-left">
                    <p>Speaking of Nazis, did you know the Zionists collaborated with them? If that doesn't show you that there's something wrong with Zionism, I don't know what will.</p>
                </div>
            </div>
        </div>
        <div class="row push-right" data-scroll-reveal="move 0px">
            <div class="right-align">
                    <div class="typing-indicator color-defender">
                      <span></span>
                      <span></span>
                      <span></span>
                    </div>
            </div>
        </div>
        <div class="row" data-scroll-reveal="wait 3s move 0px">
            <div class="right-align">
                <div class="defender speech defender-right">
                    <p>You're right, they did. A Zionist organization made a deal with Hitler called the Haavara Agreement, which advocated for Germany’s Jews to be relocated to the land of Israel. The context for this however is important: Hitler’s stated solution to “the Jewish problem” was at the time, not extermination. Rather, he took it in steps: first he took their wealth away, then he pushed them out of Germany, then the Night of Broken Glass happened, then ghettos, and then extermination. At the time of the Haavara Agreement, the Nazis were advocating for a move to push the Jewish community out of Germany (think the Madagascar Plan). As such, the Zionist organization reasoned that if the Nazis were going to push people out of Germany anyways, they might as well secure a safe place for them to go to. This is similar to the French paying the Nazis exorbiant fees to have them bring Jewish orphans to safety in France: they were in no way condoning, colluding with, or supporting the Nazis, but were rather trying to save the Jewish people therein.</p>
                </div>
            </div>
        </div>
        <div class="row push-right" data-scroll-reveal="move 0px">
            <div class="right-align">
                    <div class="typing-indicator color-defender">
                      <span></span>
                      <span></span>
                      <span></span>
                    </div>
            </div>
        </div>
        <div class="row" data-scroll-reveal="wait 3s move 0px">
            <div class="right-align">
                <div class="defender speech defender-right last-message">
                    <p>If we want to go with ad-hominem attacks though, did you know that the co-founder of the Arab League was an actual friend of Hitler's? In fact, he once said this: [Our] position for cooperating with Germany was... to eradicate every last Jew from Palestine and the Arab world. I asked Hitler for an explicit undertaking to allow us to solve the Jewish problem... The answer I got was: 'The Jews are yours'."</p>
                </div>
            </div>
        </div>
    </div>



<!--
    ------------------------------------------------------------- UNIQUE CONTENT ENDS HERE ------------------------------------------------
-->



    <!-- ***** Footer Start ***** -->
    <footer>
            <div class="container">
                <div class="row">
                    <div class="col-lg-12 col-md-12 col-sm-12">
                       <ul class="social">
                            <span title="Minds">
                                <li><a href="https://www.minds.com/alliesforisrael"><i class="fa fa-lightbulb-o"></i></a></li>
                            </span>
                            <span title="MeWe">
                                <li><a href="https://mewe.com/i/alliesforisrael"><i class="fa fa-dot-circle-o"></i></a></li>
                            </span>
                            <span title="Odysee">
                                <li><a href="https://odysee.com/@AlliesForIsrael"><i class="fa fa-video-camera"></i></a></li>
                            </span>
                        </ul>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-12">
                        <p class="copyright">Copyright &copy; 2021 - 2023 Allies for Israel | Design: TemplateMo</p>
                    </div>
                </div>
            </div>
        </footer>
        <!-- ***** Footer End ***** -->

    <!-- jQuery -->
    <script src="../assets/js/jquery-2.1.0.min.js"></script>

    <!-- Bootstrap -->
    <script src="../assets/js/popper.js"></script>
    <script src="../assets/js/bootstrap.min.js"></script>

    <!-- Plugins -->
    <script src="../assets/js/scrollreveal.min.js"></script>
    <script src="../assets/js/waypoints.min.js"></script>
    <script src="../assets/js/jquery.counterup.min.js"></script>
    <script src="../assets/js/imgfix.min.js"></script>

    <!-- Global Init -->
    <script src="../assets/js/custom.js"></script>

  </body>
</html>
